| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Functions
profile.h File Reference
`#include <glib.h>`

Go to the source code of this file.

## Classes
struct | profile_def

## Functions
void | profile_init (const char *app_env_var_prefix)
void | profile_sync (const char *app_env_var_prefix)
GList * | profile_add_profile (const char *name, const char *parent, bool is_global, const char *auto_switch_filter)
void | profile_empty_list (void)
GList * | profile_get_list (void)
bool | profile_save_settings (const char *name, const char *app_env_var_prefix, const char *app_name, char **err_info)
bool | profile_delete_current (const char *app_env_var_prefix, char **err_info)

## Detailed Description

Storage of profile information Stig Bjorlykke stig@.nosp@m.bjor.nosp@m.lykke.nosp@m..org, 2008

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ profile_add_profile()

GList * profile_add_profile | ( | const char * | name,
|  | const char * | parent,
|  | bool | is_global,
|  | const char * | auto_switch_filter
| ) |  |

Add a profile to the profile list

Parameters

  name | Profile name
  parent | Parent profile name
  is_global | Profile is in the global configuration directory
  auto_switch_filter | Filter to use for auto switching profiles

Returns
  A pointer to the new profile list

## ◆ profile_delete_current()

bool profile_delete_current | ( | const char * | app_env_var_prefix,
|  | char ** | err_info
| ) |  |

Remove the current profile.

Parameters

  app_env_var_prefix | The prefix for the application environment variable used to get the global configuration directory.
  err_info | Optional error info string.

Returns
  true if the current profile exists and was successfully deleted or false otherwise.

## ◆ profile_empty_list()

void profile_empty_list | ( | void |  | ) |

Clear out the profile list

## ◆ profile_get_list()

GList * profile_get_list | ( | void |  | ) |

Edited profile list

Returns
  The head of the edited profile list

## ◆ profile_init()

void profile_init | ( | const char * | app_env_var_prefix | ) |

Initialize the profile list. Can be called more than once.

## ◆ profile_save_settings()

bool profile_save_settings | ( | const char * | name,
|  | const char * | app_env_var_prefix,
|  | const char * | app_name,
|  | char ** | err_info
| ) |  |

Save the profile settings to disk

Parameters

  name | Profile name
  app_env_var_prefix | The prefix for the application environment variable used to get the global configuration directory.
  app_name | Proper name of the application (used in file comment strings)
  err_info | Optional error info string.

Returns
  true if the profiles were successfully saved or false otherwise.

## ◆ profile_sync()

void profile_sync | ( | const char * | app_env_var_prefix | ) |

Initialize the profile list. Can be called more than once.